;***************************************************************
;* TMS320C2000 C/C++ Codegen                         PC v6.1.0 *
;* Date/Time created: Wed Mar 23 13:36:37 2016                 *
;***************************************************************
	.compiler_opts --float_support=fpu32 --hll_source=on --mem_model:code=flat --mem_model:data=large --object_format=coff --silicon_version=28 --symdebug:dwarf 
FP	.set	XAR2

$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c")
	.dwattr $C$DW$CU, DW_AT_producer("TMS320C2000 C/C++ Codegen PC v6.1.0 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("D:\CCS5.2\workspace5.2\EASdspF28335_BIOS_noproblem\projects\F28335_example_BIOS_ram\Debug")
$C$DW$1	.dwtag  DW_TAG_variable, DW_AT_name("XintfRegs")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("_XintfRegs")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$36)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
;	D:\CCS5.2\ccsv5\tools\compiler\c2000_6.1.0\bin\ac2000.exe -@C:\\Users\\dell\\AppData\\Local\\Temp\\069202 
	.sect	"internalMemFuncs"
	.global	_InitXintf

$C$DW$2	.dwtag  DW_TAG_subprogram, DW_AT_name("InitXintf")
	.dwattr $C$DW$2, DW_AT_low_pc(_InitXintf)
	.dwattr $C$DW$2, DW_AT_high_pc(0x00)
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("_InitXintf")
	.dwattr $C$DW$2, DW_AT_external
	.dwattr $C$DW$2, DW_AT_TI_begin_file("D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c")
	.dwattr $C$DW$2, DW_AT_TI_begin_line(0x16)
	.dwattr $C$DW$2, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$2, DW_AT_TI_max_frame_size(-2)
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 23,column 1,is_stmt,address _InitXintf

	.dwfde $C$DW$CIE, _InitXintf
;----------------------------------------------------------------------
;  22 | void InitXintf(void)                                                   
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: _InitXintf                    FR SIZE:   0           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            0 Parameter,  0 Auto,  0 SOE     *
;***************************************************************

_InitXintf:
;----------------------------------------------------------------------
;  24 | //--- XINTCNF2 Register                                                
;----------------------------------------------------------------------
	.dwcfi	cfa_offset, -2
	.dwcfi	save_reg_to_mem, 26, 0
	.dwcfi	save_reg_to_reg, 78, 26
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 25,column 2,is_stmt
;----------------------------------------------------------------------
;  25 | XintfRegs.XINTCNF2.bit.XTIMCLK = 0;                     // XTIMCLK=SYSC
;     | LKOUT/1                                                                
;----------------------------------------------------------------------
        MOVW      DP,#_XintfRegs+21     ; [CPU_U] 
        AND       @_XintfRegs+21,#0xfff8 ; [CPU_] |25| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 26,column 2,is_stmt
;----------------------------------------------------------------------
;  26 | XintfRegs.XINTCNF2.bit.CLKOFF = 0;                      // XCLKOUT is e
;     | nabled                                                                 
;----------------------------------------------------------------------
        AND       @_XintfRegs+20,#0xfff7 ; [CPU_] |26| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 27,column 2,is_stmt
;----------------------------------------------------------------------
;  27 | XintfRegs.XINTCNF2.bit.CLKMODE = 0;                     // XCLKOUT = XT
;     | IMCLK                                                                  
;  29 | // Make sure write buffer is empty before configuring buffering depth  
;----------------------------------------------------------------------
        AND       @_XintfRegs+20,#0xfffb ; [CPU_] |27| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 30,column 2,is_stmt
;----------------------------------------------------------------------
;  30 | while(XintfRegs.XINTCNF2.bit.WLEVEL != 0);      // poll the WLEVEL bit 
;----------------------------------------------------------------------
$C$L1:    
$C$DW$L$_InitXintf$2$B:
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 30,column 8,is_stmt
        AND       AL,@_XintfRegs+20,#0x00c0 ; [CPU_] |30| 
        LSR       AL,6                  ; [CPU_] |30| 
        BF        $C$L1,NEQ             ; [CPU_] |30| 
        ; branchcc occurs ; [] |30| 
$C$DW$L$_InitXintf$2$E:
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 31,column 2,is_stmt
;----------------------------------------------------------------------
;  31 | XintfRegs.XINTCNF2.bit.WRBUFF = 0;                      // No write buf
;     | fering                                                                 
;  33 | //--- XBANK Register                                                   
;  34 | // Example: Assume Zone 7 is slow, so add additional BCYC cycles whenev
;     | er                                                                     
;  35 | // switching from Zone 7 to another Zone.  This will help avoid bus con
;     | tention.                                                               
;----------------------------------------------------------------------
        AND       @_XintfRegs+20,#0xfffc ; [CPU_] |31| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 36,column 2,is_stmt
;----------------------------------------------------------------------
;  36 | XintfRegs.XBANK.bit.BCYC = 7;                           // Add 7 cycles
;----------------------------------------------------------------------
        OR        @_XintfRegs+24,#0x0038 ; [CPU_] |36| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 37,column 2,is_stmt
;----------------------------------------------------------------------
;  37 | XintfRegs.XBANK.bit.BANK = 7;                           // select zone
;     | 7                                                                      
;  39 | //--- Zone 0 Configuration                                             
;----------------------------------------------------------------------
        OR        @_XintfRegs+24,#0x0007 ; [CPU_] |37| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 40,column 2,is_stmt
;----------------------------------------------------------------------
;  40 | XintfRegs.XTIMING0.bit.X2TIMING = 0;    // Timing scale factor = 1     
;----------------------------------------------------------------------
        AND       @_XintfRegs+1,#0xffbf ; [CPU_] |40| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 41,column 2,is_stmt
;----------------------------------------------------------------------
;  41 | XintfRegs.XTIMING0.bit.XSIZE = 3;               // 3 means 16-bit inter
;     | face                                                                   
;----------------------------------------------------------------------
        OR        @_XintfRegs+1,#0x0003 ; [CPU_] |41| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 42,column 2,is_stmt
;----------------------------------------------------------------------
;  42 | XintfRegs.XTIMING0.bit.READYMODE = 1;   // XREADY is asynchronous      
;----------------------------------------------------------------------
        OR        @_XintfRegs,#0x8000   ; [CPU_] |42| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 43,column 2,is_stmt
;----------------------------------------------------------------------
;  43 | XintfRegs.XTIMING0.bit.USEREADY = 0;    // Disable XREADY              
;----------------------------------------------------------------------
        AND       @_XintfRegs,#0xbfff   ; [CPU_] |43| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 44,column 2,is_stmt
;----------------------------------------------------------------------
;  44 | XintfRegs.XTIMING0.bit.XRDLEAD = 1;             // Read lead time      
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs,#0xcfff ; [CPU_] |44| 
        OR        AL,#0x1000            ; [CPU_] |44| 
        MOV       @_XintfRegs,AL        ; [CPU_] |44| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 45,column 2,is_stmt
;----------------------------------------------------------------------
;  45 | XintfRegs.XTIMING0.bit.XRDACTIVE = 2;   // Read active time            
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs,#0xf1ff ; [CPU_] |45| 
        OR        AL,#0x0400            ; [CPU_] |45| 
        MOV       @_XintfRegs,AL        ; [CPU_] |45| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 46,column 2,is_stmt
;----------------------------------------------------------------------
;  46 | XintfRegs.XTIMING0.bit.XRDTRAIL = 0;    // Read trail time             
;----------------------------------------------------------------------
        AND       @_XintfRegs,#0xfe7f   ; [CPU_] |46| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 47,column 2,is_stmt
;----------------------------------------------------------------------
;  47 | XintfRegs.XTIMING0.bit.XWRLEAD = 1;             // Write lead time     
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs,#0xff9f ; [CPU_] |47| 
        ORB       AL,#0x20              ; [CPU_] |47| 
        MOV       @_XintfRegs,AL        ; [CPU_] |47| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 48,column 2,is_stmt
;----------------------------------------------------------------------
;  48 | XintfRegs.XTIMING0.bit.XWRACTIVE = 2;   // Write active time           
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs,#0xffe3 ; [CPU_] |48| 
        ORB       AL,#0x08              ; [CPU_] |48| 
        MOV       @_XintfRegs,AL        ; [CPU_] |48| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 49,column 2,is_stmt
;----------------------------------------------------------------------
;  49 | XintfRegs.XTIMING0.bit.XWRTRAIL = 0;    // Write trail time            
;  51 | //--- Zone 6 Configuration                                             
;----------------------------------------------------------------------
        AND       @_XintfRegs,#0xfffc   ; [CPU_] |49| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 52,column 2,is_stmt
;----------------------------------------------------------------------
;  52 | XintfRegs.XTIMING6.bit.X2TIMING = 0;    // Timing scale factor = 1     
;----------------------------------------------------------------------
        AND       @_XintfRegs+13,#0xffbf ; [CPU_] |52| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 53,column 2,is_stmt
;----------------------------------------------------------------------
;  53 | XintfRegs.XTIMING6.bit.XSIZE = 3;               // 3 means 16-bit inter
;     | face                                                                   
;----------------------------------------------------------------------
        OR        @_XintfRegs+13,#0x0003 ; [CPU_] |53| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 54,column 2,is_stmt
;----------------------------------------------------------------------
;  54 | XintfRegs.XTIMING6.bit.READYMODE = 1;   // XREADY is asynchronous      
;----------------------------------------------------------------------
        OR        @_XintfRegs+12,#0x8000 ; [CPU_] |54| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 55,column 2,is_stmt
;----------------------------------------------------------------------
;  55 | XintfRegs.XTIMING6.bit.USEREADY = 0;    // Disable XREADY              
;----------------------------------------------------------------------
        AND       @_XintfRegs+12,#0xbfff ; [CPU_] |55| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 56,column 2,is_stmt
;----------------------------------------------------------------------
;  56 | XintfRegs.XTIMING6.bit.XRDLEAD = 1;             // Read lead time      
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+12,#0xcfff ; [CPU_] |56| 
        OR        AL,#0x1000            ; [CPU_] |56| 
        MOV       @_XintfRegs+12,AL     ; [CPU_] |56| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 57,column 2,is_stmt
;----------------------------------------------------------------------
;  57 | XintfRegs.XTIMING6.bit.XRDACTIVE = 2;   // Read active time            
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+12,#0xf1ff ; [CPU_] |57| 
        OR        AL,#0x0400            ; [CPU_] |57| 
        MOV       @_XintfRegs+12,AL     ; [CPU_] |57| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 58,column 2,is_stmt
;----------------------------------------------------------------------
;  58 | XintfRegs.XTIMING6.bit.XRDTRAIL = 0;    // Read trail time             
;----------------------------------------------------------------------
        AND       @_XintfRegs+12,#0xfe7f ; [CPU_] |58| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 59,column 2,is_stmt
;----------------------------------------------------------------------
;  59 | XintfRegs.XTIMING6.bit.XWRLEAD = 1;             // Write lead time     
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+12,#0xff9f ; [CPU_] |59| 
        ORB       AL,#0x20              ; [CPU_] |59| 
        MOV       @_XintfRegs+12,AL     ; [CPU_] |59| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 60,column 2,is_stmt
;----------------------------------------------------------------------
;  60 | XintfRegs.XTIMING6.bit.XWRACTIVE = 2;   // Write active time           
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+12,#0xffe3 ; [CPU_] |60| 
        ORB       AL,#0x08              ; [CPU_] |60| 
        MOV       @_XintfRegs+12,AL     ; [CPU_] |60| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 61,column 2,is_stmt
;----------------------------------------------------------------------
;  61 | XintfRegs.XTIMING6.bit.XWRTRAIL = 0;    // Write trail time            
;  63 | //--- Zone 7 Configuration                                             
;----------------------------------------------------------------------
        AND       @_XintfRegs+12,#0xfffc ; [CPU_] |61| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 64,column 2,is_stmt
;----------------------------------------------------------------------
;  64 | XintfRegs.XTIMING7.bit.X2TIMING = 0;    // Timing scale factor = 1     
;----------------------------------------------------------------------
        AND       @_XintfRegs+15,#0xffbf ; [CPU_] |64| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 65,column 2,is_stmt
;----------------------------------------------------------------------
;  65 | XintfRegs.XTIMING7.bit.XSIZE = 3;               // 3 means 16-bit inter
;     | face                                                                   
;----------------------------------------------------------------------
        OR        @_XintfRegs+15,#0x0003 ; [CPU_] |65| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 66,column 2,is_stmt
;----------------------------------------------------------------------
;  66 | XintfRegs.XTIMING7.bit.READYMODE = 1;   // XREADY is asynchronous      
;----------------------------------------------------------------------
        OR        @_XintfRegs+14,#0x8000 ; [CPU_] |66| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 67,column 2,is_stmt
;----------------------------------------------------------------------
;  67 | XintfRegs.XTIMING7.bit.USEREADY = 0;    // Disable XREADY              
;----------------------------------------------------------------------
        AND       @_XintfRegs+14,#0xbfff ; [CPU_] |67| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 68,column 2,is_stmt
;----------------------------------------------------------------------
;  68 | XintfRegs.XTIMING7.bit.XRDLEAD = 1;             // Read lead time      
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+14,#0xcfff ; [CPU_] |68| 
        OR        AL,#0x1000            ; [CPU_] |68| 
        MOV       @_XintfRegs+14,AL     ; [CPU_] |68| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 69,column 2,is_stmt
;----------------------------------------------------------------------
;  69 | XintfRegs.XTIMING7.bit.XRDACTIVE = 2;   // Read active time            
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+14,#0xf1ff ; [CPU_] |69| 
        OR        AL,#0x0400            ; [CPU_] |69| 
        MOV       @_XintfRegs+14,AL     ; [CPU_] |69| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 70,column 2,is_stmt
;----------------------------------------------------------------------
;  70 | XintfRegs.XTIMING7.bit.XRDTRAIL = 0;    // Read trail time             
;----------------------------------------------------------------------
        AND       @_XintfRegs+14,#0xfe7f ; [CPU_] |70| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 71,column 2,is_stmt
;----------------------------------------------------------------------
;  71 | XintfRegs.XTIMING7.bit.XWRLEAD = 1;             // Write lead time     
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+14,#0xff9f ; [CPU_] |71| 
        ORB       AL,#0x20              ; [CPU_] |71| 
        MOV       @_XintfRegs+14,AL     ; [CPU_] |71| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 72,column 2,is_stmt
;----------------------------------------------------------------------
;  72 | XintfRegs.XTIMING7.bit.XWRACTIVE = 2;   // Write active time           
;----------------------------------------------------------------------
        AND       AL,@_XintfRegs+14,#0xffe3 ; [CPU_] |72| 
        ORB       AL,#0x08              ; [CPU_] |72| 
        MOV       @_XintfRegs+14,AL     ; [CPU_] |72| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 73,column 2,is_stmt
;----------------------------------------------------------------------
;  73 | XintfRegs.XTIMING7.bit.XWRTRAIL = 0;    // Write trail time            
;  75 | //--- Force a complete pipeline flush to ensure that the write to the l
;     | ast register                                                           
;  76 | //    configured occurs before returning.  Safest thing to do is wait 8
;     |  full cycles.                                                          
;----------------------------------------------------------------------
        AND       @_XintfRegs+14,#0xfffc ; [CPU_] |73| 
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 77,column 2,is_stmt
;----------------------------------------------------------------------
;  77 | asm(" RPT #6 || NOP");                                                 
;----------------------------------------------------------------------
 RPT #6 || NOP
	.dwpsn	file "D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c",line 80,column 1,is_stmt
;----------------------------------------------------------------------
;  80 | } // end of InitXintf()                                                
;----------------------------------------------------------------------
        SPM       #0                    ; [CPU_] 
$C$DW$3	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$3, DW_AT_low_pc(0x00)
	.dwattr $C$DW$3, DW_AT_TI_return
        LRETR     ; [CPU_] 
        ; return occurs ; [] 

$C$DW$4	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$4, DW_AT_name("D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/projects/Debug/Xintf.asm:$C$L1:1:1458711397")
	.dwattr $C$DW$4, DW_AT_TI_begin_file("D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c")
	.dwattr $C$DW$4, DW_AT_TI_begin_line(0x1e)
	.dwattr $C$DW$4, DW_AT_TI_end_line(0x1e)
$C$DW$5	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$5, DW_AT_low_pc($C$DW$L$_InitXintf$2$B)
	.dwattr $C$DW$5, DW_AT_high_pc($C$DW$L$_InitXintf$2$E)
	.dwendtag $C$DW$4

	.dwattr $C$DW$2, DW_AT_TI_end_file("D:/CCS5.2/workspace5.2/EASdspF28335_BIOS_noproblem/src/Xintf.c")
	.dwattr $C$DW$2, DW_AT_TI_end_line(0x50)
	.dwattr $C$DW$2, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$2

;**************************************************************
;* UNDEFINED EXTERNAL REFERENCES                              *
;**************************************************************
	.global	_XintfRegs

;***************************************************************
;* TYPE INFORMATION                                            *
;***************************************************************

$C$DW$T$20	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$20, DW_AT_name("XBANK_BITS")
	.dwattr $C$DW$T$20, DW_AT_byte_size(0x01)
$C$DW$6	.dwtag  DW_TAG_member
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$6, DW_AT_name("BANK")
	.dwattr $C$DW$6, DW_AT_TI_symbol_name("_BANK")
	.dwattr $C$DW$6, DW_AT_bit_offset(0x0d), DW_AT_bit_size(0x03)
	.dwattr $C$DW$6, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$6, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$7	.dwtag  DW_TAG_member
	.dwattr $C$DW$7, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$7, DW_AT_name("BCYC")
	.dwattr $C$DW$7, DW_AT_TI_symbol_name("_BCYC")
	.dwattr $C$DW$7, DW_AT_bit_offset(0x0a), DW_AT_bit_size(0x03)
	.dwattr $C$DW$7, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$7, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$8	.dwtag  DW_TAG_member
	.dwattr $C$DW$8, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$8, DW_AT_name("rsvd")
	.dwattr $C$DW$8, DW_AT_TI_symbol_name("_rsvd")
	.dwattr $C$DW$8, DW_AT_bit_offset(0x00), DW_AT_bit_size(0x0a)
	.dwattr $C$DW$8, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$8, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$20


$C$DW$T$21	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$21, DW_AT_name("XBANK_REG")
	.dwattr $C$DW$T$21, DW_AT_byte_size(0x01)
$C$DW$9	.dwtag  DW_TAG_member
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$9, DW_AT_name("all")
	.dwattr $C$DW$9, DW_AT_TI_symbol_name("_all")
	.dwattr $C$DW$9, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$9, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$10	.dwtag  DW_TAG_member
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$10, DW_AT_name("bit")
	.dwattr $C$DW$10, DW_AT_TI_symbol_name("_bit")
	.dwattr $C$DW$10, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$10, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$21


$C$DW$T$22	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$22, DW_AT_name("XINTCNF2_BITS")
	.dwattr $C$DW$T$22, DW_AT_byte_size(0x02)
$C$DW$11	.dwtag  DW_TAG_member
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$11, DW_AT_name("WRBUFF")
	.dwattr $C$DW$11, DW_AT_TI_symbol_name("_WRBUFF")
	.dwattr $C$DW$11, DW_AT_bit_offset(0x0e), DW_AT_bit_size(0x02)
	.dwattr $C$DW$11, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$11, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$12	.dwtag  DW_TAG_member
	.dwattr $C$DW$12, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$12, DW_AT_name("CLKMODE")
	.dwattr $C$DW$12, DW_AT_TI_symbol_name("_CLKMODE")
	.dwattr $C$DW$12, DW_AT_bit_offset(0x0d), DW_AT_bit_size(0x01)
	.dwattr $C$DW$12, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$12, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$13	.dwtag  DW_TAG_member
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$13, DW_AT_name("CLKOFF")
	.dwattr $C$DW$13, DW_AT_TI_symbol_name("_CLKOFF")
	.dwattr $C$DW$13, DW_AT_bit_offset(0x0c), DW_AT_bit_size(0x01)
	.dwattr $C$DW$13, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$13, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$14	.dwtag  DW_TAG_member
	.dwattr $C$DW$14, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$14, DW_AT_name("rsvd1")
	.dwattr $C$DW$14, DW_AT_TI_symbol_name("_rsvd1")
	.dwattr $C$DW$14, DW_AT_bit_offset(0x0a), DW_AT_bit_size(0x02)
	.dwattr $C$DW$14, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$14, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$15	.dwtag  DW_TAG_member
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$15, DW_AT_name("WLEVEL")
	.dwattr $C$DW$15, DW_AT_TI_symbol_name("_WLEVEL")
	.dwattr $C$DW$15, DW_AT_bit_offset(0x08), DW_AT_bit_size(0x02)
	.dwattr $C$DW$15, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$15, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$16	.dwtag  DW_TAG_member
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$16, DW_AT_name("rsvd2")
	.dwattr $C$DW$16, DW_AT_TI_symbol_name("_rsvd2")
	.dwattr $C$DW$16, DW_AT_bit_offset(0x07), DW_AT_bit_size(0x01)
	.dwattr $C$DW$16, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$16, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$17	.dwtag  DW_TAG_member
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$17, DW_AT_name("HOLD")
	.dwattr $C$DW$17, DW_AT_TI_symbol_name("_HOLD")
	.dwattr $C$DW$17, DW_AT_bit_offset(0x06), DW_AT_bit_size(0x01)
	.dwattr $C$DW$17, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$17, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$18	.dwtag  DW_TAG_member
	.dwattr $C$DW$18, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$18, DW_AT_name("HOLDS")
	.dwattr $C$DW$18, DW_AT_TI_symbol_name("_HOLDS")
	.dwattr $C$DW$18, DW_AT_bit_offset(0x05), DW_AT_bit_size(0x01)
	.dwattr $C$DW$18, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$18, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$19	.dwtag  DW_TAG_member
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$19, DW_AT_name("HOLDAS")
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("_HOLDAS")
	.dwattr $C$DW$19, DW_AT_bit_offset(0x04), DW_AT_bit_size(0x01)
	.dwattr $C$DW$19, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$19, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$20	.dwtag  DW_TAG_member
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$20, DW_AT_name("rsvd3")
	.dwattr $C$DW$20, DW_AT_TI_symbol_name("_rsvd3")
	.dwattr $C$DW$20, DW_AT_bit_offset(0x00), DW_AT_bit_size(0x04)
	.dwattr $C$DW$20, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$20, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$21	.dwtag  DW_TAG_member
	.dwattr $C$DW$21, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$21, DW_AT_name("XTIMCLK")
	.dwattr $C$DW$21, DW_AT_TI_symbol_name("_XTIMCLK")
	.dwattr $C$DW$21, DW_AT_bit_offset(0x0d), DW_AT_bit_size(0x03)
	.dwattr $C$DW$21, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$21, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$22	.dwtag  DW_TAG_member
	.dwattr $C$DW$22, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$22, DW_AT_name("rsvd4")
	.dwattr $C$DW$22, DW_AT_TI_symbol_name("_rsvd4")
	.dwattr $C$DW$22, DW_AT_bit_offset(0x00), DW_AT_bit_size(0x0d)
	.dwattr $C$DW$22, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$22, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$22


$C$DW$T$24	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$24, DW_AT_name("XINTCNF2_REG")
	.dwattr $C$DW$T$24, DW_AT_byte_size(0x02)
$C$DW$23	.dwtag  DW_TAG_member
	.dwattr $C$DW$23, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$23, DW_AT_name("all")
	.dwattr $C$DW$23, DW_AT_TI_symbol_name("_all")
	.dwattr $C$DW$23, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$23, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$24	.dwtag  DW_TAG_member
	.dwattr $C$DW$24, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$24, DW_AT_name("bit")
	.dwattr $C$DW$24, DW_AT_TI_symbol_name("_bit")
	.dwattr $C$DW$24, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$24, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$24


$C$DW$T$28	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$28, DW_AT_name("XINTF_REGS")
	.dwattr $C$DW$T$28, DW_AT_byte_size(0x1e)
$C$DW$25	.dwtag  DW_TAG_member
	.dwattr $C$DW$25, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$25, DW_AT_name("XTIMING0")
	.dwattr $C$DW$25, DW_AT_TI_symbol_name("_XTIMING0")
	.dwattr $C$DW$25, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$25, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$26	.dwtag  DW_TAG_member
	.dwattr $C$DW$26, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$26, DW_AT_name("rsvd1")
	.dwattr $C$DW$26, DW_AT_TI_symbol_name("_rsvd1")
	.dwattr $C$DW$26, DW_AT_data_member_location[DW_OP_plus_uconst 0x2]
	.dwattr $C$DW$26, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$27	.dwtag  DW_TAG_member
	.dwattr $C$DW$27, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$27, DW_AT_name("XTIMING6")
	.dwattr $C$DW$27, DW_AT_TI_symbol_name("_XTIMING6")
	.dwattr $C$DW$27, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$27, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$28	.dwtag  DW_TAG_member
	.dwattr $C$DW$28, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$28, DW_AT_name("XTIMING7")
	.dwattr $C$DW$28, DW_AT_TI_symbol_name("_XTIMING7")
	.dwattr $C$DW$28, DW_AT_data_member_location[DW_OP_plus_uconst 0xe]
	.dwattr $C$DW$28, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$29	.dwtag  DW_TAG_member
	.dwattr $C$DW$29, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$29, DW_AT_name("rsvd2")
	.dwattr $C$DW$29, DW_AT_TI_symbol_name("_rsvd2")
	.dwattr $C$DW$29, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr $C$DW$29, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$30	.dwtag  DW_TAG_member
	.dwattr $C$DW$30, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$30, DW_AT_name("XINTCNF2")
	.dwattr $C$DW$30, DW_AT_TI_symbol_name("_XINTCNF2")
	.dwattr $C$DW$30, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr $C$DW$30, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$31	.dwtag  DW_TAG_member
	.dwattr $C$DW$31, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$31, DW_AT_name("rsvd3")
	.dwattr $C$DW$31, DW_AT_TI_symbol_name("_rsvd3")
	.dwattr $C$DW$31, DW_AT_data_member_location[DW_OP_plus_uconst 0x16]
	.dwattr $C$DW$31, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$32	.dwtag  DW_TAG_member
	.dwattr $C$DW$32, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$32, DW_AT_name("XBANK")
	.dwattr $C$DW$32, DW_AT_TI_symbol_name("_XBANK")
	.dwattr $C$DW$32, DW_AT_data_member_location[DW_OP_plus_uconst 0x18]
	.dwattr $C$DW$32, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$33	.dwtag  DW_TAG_member
	.dwattr $C$DW$33, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$33, DW_AT_name("rsvd4")
	.dwattr $C$DW$33, DW_AT_TI_symbol_name("_rsvd4")
	.dwattr $C$DW$33, DW_AT_data_member_location[DW_OP_plus_uconst 0x19]
	.dwattr $C$DW$33, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$34	.dwtag  DW_TAG_member
	.dwattr $C$DW$34, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$34, DW_AT_name("XREVISION")
	.dwattr $C$DW$34, DW_AT_TI_symbol_name("_XREVISION")
	.dwattr $C$DW$34, DW_AT_data_member_location[DW_OP_plus_uconst 0x1a]
	.dwattr $C$DW$34, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$35	.dwtag  DW_TAG_member
	.dwattr $C$DW$35, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$35, DW_AT_name("rsvd5")
	.dwattr $C$DW$35, DW_AT_TI_symbol_name("_rsvd5")
	.dwattr $C$DW$35, DW_AT_data_member_location[DW_OP_plus_uconst 0x1b]
	.dwattr $C$DW$35, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$36	.dwtag  DW_TAG_member
	.dwattr $C$DW$36, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$36, DW_AT_name("XRESET")
	.dwattr $C$DW$36, DW_AT_TI_symbol_name("_XRESET")
	.dwattr $C$DW$36, DW_AT_data_member_location[DW_OP_plus_uconst 0x1d]
	.dwattr $C$DW$36, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$28

$C$DW$37	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$37, DW_AT_type(*$C$DW$T$28)
$C$DW$T$36	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$37)

$C$DW$T$29	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$29, DW_AT_name("XRESET_REG")
	.dwattr $C$DW$T$29, DW_AT_byte_size(0x01)
$C$DW$38	.dwtag  DW_TAG_member
	.dwattr $C$DW$38, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$38, DW_AT_name("all")
	.dwattr $C$DW$38, DW_AT_TI_symbol_name("_all")
	.dwattr $C$DW$38, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$38, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$39	.dwtag  DW_TAG_member
	.dwattr $C$DW$39, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$39, DW_AT_name("bit")
	.dwattr $C$DW$39, DW_AT_TI_symbol_name("_bit")
	.dwattr $C$DW$39, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$39, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$29


$C$DW$T$30	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$30, DW_AT_name("XTIMING_BITS")
	.dwattr $C$DW$T$30, DW_AT_byte_size(0x02)
$C$DW$40	.dwtag  DW_TAG_member
	.dwattr $C$DW$40, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$40, DW_AT_name("XWRTRAIL")
	.dwattr $C$DW$40, DW_AT_TI_symbol_name("_XWRTRAIL")
	.dwattr $C$DW$40, DW_AT_bit_offset(0x0e), DW_AT_bit_size(0x02)
	.dwattr $C$DW$40, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$40, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$41	.dwtag  DW_TAG_member
	.dwattr $C$DW$41, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$41, DW_AT_name("XWRACTIVE")
	.dwattr $C$DW$41, DW_AT_TI_symbol_name("_XWRACTIVE")
	.dwattr $C$DW$41, DW_AT_bit_offset(0x0b), DW_AT_bit_size(0x03)
	.dwattr $C$DW$41, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$41, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$42	.dwtag  DW_TAG_member
	.dwattr $C$DW$42, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$42, DW_AT_name("XWRLEAD")
	.dwattr $C$DW$42, DW_AT_TI_symbol_name("_XWRLEAD")
	.dwattr $C$DW$42, DW_AT_bit_offset(0x09), DW_AT_bit_size(0x02)
	.dwattr $C$DW$42, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$42, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$43	.dwtag  DW_TAG_member
	.dwattr $C$DW$43, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$43, DW_AT_name("XRDTRAIL")
	.dwattr $C$DW$43, DW_AT_TI_symbol_name("_XRDTRAIL")
	.dwattr $C$DW$43, DW_AT_bit_offset(0x07), DW_AT_bit_size(0x02)
	.dwattr $C$DW$43, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$43, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$44	.dwtag  DW_TAG_member
	.dwattr $C$DW$44, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$44, DW_AT_name("XRDACTIVE")
	.dwattr $C$DW$44, DW_AT_TI_symbol_name("_XRDACTIVE")
	.dwattr $C$DW$44, DW_AT_bit_offset(0x04), DW_AT_bit_size(0x03)
	.dwattr $C$DW$44, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$44, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$45	.dwtag  DW_TAG_member
	.dwattr $C$DW$45, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$45, DW_AT_name("XRDLEAD")
	.dwattr $C$DW$45, DW_AT_TI_symbol_name("_XRDLEAD")
	.dwattr $C$DW$45, DW_AT_bit_offset(0x02), DW_AT_bit_size(0x02)
	.dwattr $C$DW$45, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$45, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$46	.dwtag  DW_TAG_member
	.dwattr $C$DW$46, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$46, DW_AT_name("USEREADY")
	.dwattr $C$DW$46, DW_AT_TI_symbol_name("_USEREADY")
	.dwattr $C$DW$46, DW_AT_bit_offset(0x01), DW_AT_bit_size(0x01)
	.dwattr $C$DW$46, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$46, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$47	.dwtag  DW_TAG_member
	.dwattr $C$DW$47, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$47, DW_AT_name("READYMODE")
	.dwattr $C$DW$47, DW_AT_TI_symbol_name("_READYMODE")
	.dwattr $C$DW$47, DW_AT_bit_offset(0x00), DW_AT_bit_size(0x01)
	.dwattr $C$DW$47, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$47, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$48	.dwtag  DW_TAG_member
	.dwattr $C$DW$48, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$48, DW_AT_name("XSIZE")
	.dwattr $C$DW$48, DW_AT_TI_symbol_name("_XSIZE")
	.dwattr $C$DW$48, DW_AT_bit_offset(0x0e), DW_AT_bit_size(0x02)
	.dwattr $C$DW$48, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$48, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$49	.dwtag  DW_TAG_member
	.dwattr $C$DW$49, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$49, DW_AT_name("rsvd1")
	.dwattr $C$DW$49, DW_AT_TI_symbol_name("_rsvd1")
	.dwattr $C$DW$49, DW_AT_bit_offset(0x0a), DW_AT_bit_size(0x04)
	.dwattr $C$DW$49, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$49, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$50	.dwtag  DW_TAG_member
	.dwattr $C$DW$50, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$50, DW_AT_name("X2TIMING")
	.dwattr $C$DW$50, DW_AT_TI_symbol_name("_X2TIMING")
	.dwattr $C$DW$50, DW_AT_bit_offset(0x09), DW_AT_bit_size(0x01)
	.dwattr $C$DW$50, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$50, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$51	.dwtag  DW_TAG_member
	.dwattr $C$DW$51, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$51, DW_AT_name("rsvd3")
	.dwattr $C$DW$51, DW_AT_TI_symbol_name("_rsvd3")
	.dwattr $C$DW$51, DW_AT_bit_offset(0x00), DW_AT_bit_size(0x09)
	.dwattr $C$DW$51, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$51, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$30


$C$DW$T$31	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$31, DW_AT_name("XTIMING_REG")
	.dwattr $C$DW$T$31, DW_AT_byte_size(0x02)
$C$DW$52	.dwtag  DW_TAG_member
	.dwattr $C$DW$52, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$52, DW_AT_name("all")
	.dwattr $C$DW$52, DW_AT_TI_symbol_name("_all")
	.dwattr $C$DW$52, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$52, DW_AT_accessibility(DW_ACCESS_public)
$C$DW$53	.dwtag  DW_TAG_member
	.dwattr $C$DW$53, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$53, DW_AT_name("bit")
	.dwattr $C$DW$53, DW_AT_TI_symbol_name("_bit")
	.dwattr $C$DW$53, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$53, DW_AT_accessibility(DW_ACCESS_public)
	.dwendtag $C$DW$T$31

$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x01)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x01)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x01)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x01)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x01)
$C$DW$T$19	.dwtag  DW_TAG_typedef, DW_AT_name("Uint16")
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$19, DW_AT_language(DW_LANG_C)

$C$DW$T$27	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$27, DW_AT_byte_size(0x02)
$C$DW$54	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$54, DW_AT_upper_bound(0x01)
	.dwendtag $C$DW$T$27

$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x02)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x02)
$C$DW$T$23	.dwtag  DW_TAG_typedef, DW_AT_name("Uint32")
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$23, DW_AT_language(DW_LANG_C)

$C$DW$T$25	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$25, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$25, DW_AT_byte_size(0x0a)
$C$DW$55	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$55, DW_AT_upper_bound(0x04)
	.dwendtag $C$DW$T$25


$C$DW$T$26	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$26, DW_AT_byte_size(0x04)
$C$DW$56	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$56, DW_AT_upper_bound(0x01)
	.dwendtag $C$DW$T$26

$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x04)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x04)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x02)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x02)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x04)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 78
	.dwcfi	cfa_register, 20
	.dwcfi	cfa_offset, 0
	.dwcfi	undefined, 0
	.dwcfi	undefined, 1
	.dwcfi	undefined, 2
	.dwcfi	undefined, 3
	.dwcfi	undefined, 22
	.dwcfi	undefined, 37
	.dwcfi	undefined, 36
	.dwcfi	undefined, 23
	.dwcfi	undefined, 30
	.dwcfi	undefined, 31
	.dwcfi	undefined, 32
	.dwcfi	undefined, 38
	.dwcfi	undefined, 75
	.dwcfi	undefined, 24
	.dwcfi	undefined, 33
	.dwcfi	undefined, 35
	.dwcfi	undefined, 34
	.dwcfi	undefined, 76
	.dwcfi	undefined, 21
	.dwcfi	undefined, 20
	.dwcfi	same_value, 28
	.dwcfi	undefined, 29
	.dwcfi	undefined, 25
	.dwcfi	undefined, 77
	.dwcfi	undefined, 4
	.dwcfi	same_value, 6
	.dwcfi	same_value, 8
	.dwcfi	same_value, 10
	.dwcfi	undefined, 12
	.dwcfi	undefined, 14
	.dwcfi	undefined, 16
	.dwcfi	undefined, 17
	.dwcfi	undefined, 18
	.dwcfi	undefined, 19
	.dwcfi	undefined, 5
	.dwcfi	same_value, 7
	.dwcfi	same_value, 9
	.dwcfi	same_value, 11
	.dwcfi	undefined, 13
	.dwcfi	undefined, 15
	.dwcfi	undefined, 43
	.dwcfi	undefined, 44
	.dwcfi	undefined, 47
	.dwcfi	undefined, 48
	.dwcfi	undefined, 51
	.dwcfi	undefined, 52
	.dwcfi	undefined, 55
	.dwcfi	undefined, 56
	.dwcfi	same_value, 59
	.dwcfi	same_value, 60
	.dwcfi	same_value, 63
	.dwcfi	same_value, 64
	.dwcfi	same_value, 67
	.dwcfi	same_value, 68
	.dwcfi	same_value, 71
	.dwcfi	same_value, 72
	.dwcfi	undefined, 73
	.dwcfi	undefined, 74
	.dwcfi	undefined, 39
	.dwcfi	undefined, 40
	.dwcfi	undefined, 27
	.dwcfi	undefined, 78
	.dwendentry

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

$C$DW$57	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AL")
	.dwattr $C$DW$57, DW_AT_location[DW_OP_reg0]
$C$DW$58	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AH")
	.dwattr $C$DW$58, DW_AT_location[DW_OP_reg1]
$C$DW$59	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PL")
	.dwattr $C$DW$59, DW_AT_location[DW_OP_reg2]
$C$DW$60	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PH")
	.dwattr $C$DW$60, DW_AT_location[DW_OP_reg3]
$C$DW$61	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("T")
	.dwattr $C$DW$61, DW_AT_location[DW_OP_reg22]
$C$DW$62	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IER")
	.dwattr $C$DW$62, DW_AT_location[DW_OP_regx 0x25]
$C$DW$63	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IFR")
	.dwattr $C$DW$63, DW_AT_location[DW_OP_regx 0x24]
$C$DW$64	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ST0")
	.dwattr $C$DW$64, DW_AT_location[DW_OP_reg23]
$C$DW$65	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SXM")
	.dwattr $C$DW$65, DW_AT_location[DW_OP_reg30]
$C$DW$66	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PM")
	.dwattr $C$DW$66, DW_AT_location[DW_OP_reg31]
$C$DW$67	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("OVM")
	.dwattr $C$DW$67, DW_AT_location[DW_OP_regx 0x20]
$C$DW$68	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("V")
	.dwattr $C$DW$68, DW_AT_location[DW_OP_regx 0x26]
$C$DW$69	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ST1")
	.dwattr $C$DW$69, DW_AT_location[DW_OP_reg24]
$C$DW$70	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PAGE0")
	.dwattr $C$DW$70, DW_AT_location[DW_OP_regx 0x21]
$C$DW$71	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("INTM")
	.dwattr $C$DW$71, DW_AT_location[DW_OP_regx 0x23]
$C$DW$72	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AMODE")
	.dwattr $C$DW$72, DW_AT_location[DW_OP_regx 0x22]
$C$DW$73	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PSEUDOH")
	.dwattr $C$DW$73, DW_AT_location[DW_OP_regx 0x4c]
$C$DW$74	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XT")
	.dwattr $C$DW$74, DW_AT_location[DW_OP_reg21]
$C$DW$75	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SP")
	.dwattr $C$DW$75, DW_AT_location[DW_OP_reg20]
$C$DW$76	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FP")
	.dwattr $C$DW$76, DW_AT_location[DW_OP_reg28]
$C$DW$77	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DP")
	.dwattr $C$DW$77, DW_AT_location[DW_OP_reg29]
$C$DW$78	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PC")
	.dwattr $C$DW$78, DW_AT_location[DW_OP_reg25]
$C$DW$79	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("VOL")
	.dwattr $C$DW$79, DW_AT_location[DW_OP_regx 0x4d]
$C$DW$80	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR0")
	.dwattr $C$DW$80, DW_AT_location[DW_OP_reg4]
$C$DW$81	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR1")
	.dwattr $C$DW$81, DW_AT_location[DW_OP_reg6]
$C$DW$82	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR2")
	.dwattr $C$DW$82, DW_AT_location[DW_OP_reg8]
$C$DW$83	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR3")
	.dwattr $C$DW$83, DW_AT_location[DW_OP_reg10]
$C$DW$84	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR4")
	.dwattr $C$DW$84, DW_AT_location[DW_OP_reg12]
$C$DW$85	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR5")
	.dwattr $C$DW$85, DW_AT_location[DW_OP_reg14]
$C$DW$86	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR6")
	.dwattr $C$DW$86, DW_AT_location[DW_OP_reg16]
$C$DW$87	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR6")
	.dwattr $C$DW$87, DW_AT_location[DW_OP_reg17]
$C$DW$88	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR7")
	.dwattr $C$DW$88, DW_AT_location[DW_OP_reg18]
$C$DW$89	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR7")
	.dwattr $C$DW$89, DW_AT_location[DW_OP_reg19]
$C$DW$90	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR0")
	.dwattr $C$DW$90, DW_AT_location[DW_OP_reg5]
$C$DW$91	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR1")
	.dwattr $C$DW$91, DW_AT_location[DW_OP_reg7]
$C$DW$92	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR2")
	.dwattr $C$DW$92, DW_AT_location[DW_OP_reg9]
$C$DW$93	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR3")
	.dwattr $C$DW$93, DW_AT_location[DW_OP_reg11]
$C$DW$94	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR4")
	.dwattr $C$DW$94, DW_AT_location[DW_OP_reg13]
$C$DW$95	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR5")
	.dwattr $C$DW$95, DW_AT_location[DW_OP_reg15]
$C$DW$96	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R0HL")
	.dwattr $C$DW$96, DW_AT_location[DW_OP_regx 0x2b]
$C$DW$97	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R0H")
	.dwattr $C$DW$97, DW_AT_location[DW_OP_regx 0x2c]
$C$DW$98	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R1HL")
	.dwattr $C$DW$98, DW_AT_location[DW_OP_regx 0x2f]
$C$DW$99	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R1H")
	.dwattr $C$DW$99, DW_AT_location[DW_OP_regx 0x30]
$C$DW$100	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R2HL")
	.dwattr $C$DW$100, DW_AT_location[DW_OP_regx 0x33]
$C$DW$101	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R2H")
	.dwattr $C$DW$101, DW_AT_location[DW_OP_regx 0x34]
$C$DW$102	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R3HL")
	.dwattr $C$DW$102, DW_AT_location[DW_OP_regx 0x37]
$C$DW$103	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R3H")
	.dwattr $C$DW$103, DW_AT_location[DW_OP_regx 0x38]
$C$DW$104	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R4HL")
	.dwattr $C$DW$104, DW_AT_location[DW_OP_regx 0x3b]
$C$DW$105	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R4H")
	.dwattr $C$DW$105, DW_AT_location[DW_OP_regx 0x3c]
$C$DW$106	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R5HL")
	.dwattr $C$DW$106, DW_AT_location[DW_OP_regx 0x3f]
$C$DW$107	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R5H")
	.dwattr $C$DW$107, DW_AT_location[DW_OP_regx 0x40]
$C$DW$108	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R6HL")
	.dwattr $C$DW$108, DW_AT_location[DW_OP_regx 0x43]
$C$DW$109	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R6H")
	.dwattr $C$DW$109, DW_AT_location[DW_OP_regx 0x44]
$C$DW$110	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R7HL")
	.dwattr $C$DW$110, DW_AT_location[DW_OP_regx 0x47]
$C$DW$111	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R7H")
	.dwattr $C$DW$111, DW_AT_location[DW_OP_regx 0x48]
$C$DW$112	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RBL")
	.dwattr $C$DW$112, DW_AT_location[DW_OP_regx 0x49]
$C$DW$113	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RB")
	.dwattr $C$DW$113, DW_AT_location[DW_OP_regx 0x4a]
$C$DW$114	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("STFL")
	.dwattr $C$DW$114, DW_AT_location[DW_OP_regx 0x27]
$C$DW$115	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("STF")
	.dwattr $C$DW$115, DW_AT_location[DW_OP_regx 0x28]
$C$DW$116	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FPUHAZ")
	.dwattr $C$DW$116, DW_AT_location[DW_OP_reg27]
$C$DW$117	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CIE_RETA")
	.dwattr $C$DW$117, DW_AT_location[DW_OP_regx 0x4e]
	.dwendtag $C$DW$CU

